Tp::CaptchaInfo Struct Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::CaptchaInfo Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes
uint | ID
QString | type
QString | label
uint | flags
QStringList | availableMIMETypes

## Detailed Description

Structure type generated from the specification.

A struct containing information regarding a single captcha mechanism.

## Member Data Documentation

uint Tp::CaptchaInfo::ID

The ID with which to reference this captcha method when retrieving its data and answering it. They are unique within this channel instance only.

QString Tp::CaptchaInfo::type

The type of challenge as defined by XEP-0158. For instance, the commonly-used "type the letters/words you see in this image" challenge is represented by `ocr`

QString Tp::CaptchaInfo::label

A human-readable label for the challenge, as defined in XEP-0158.

If the server does not supply a label for a challenge of type other than `qa`, connection managers SHOULD set Label to an empty string instead of generating their own text. If the Label is an empty string, the Handler SHOULD replace it with a generic label in the user's locale, such as the strings suggested in XEP-0158 (for instance, `Enter the text you see` for `ocr` challenges). The Handler MAY use those generic labels in any case, as per the Internationalization Considerations section of XEP-0158.

Connection managers are not usually localized, so text generated by the connection manager would be in English, regardless of the user's locale. The Handler is better-placed to generate a generic Label in the user's locale.

For challenges of type `qa`, the Label is a plain-text question for the user to answer. The connection manager SHOULD NOT provide an empty Label; if it does, the Handler SHOULD treat that challenge as impossible, and SHOULD NOT attempt to display it.

uint Tp::CaptchaInfo::flags

One flag defined: Required. Most captchas will have no flags.

QStringList Tp::CaptchaInfo::availableMIMETypes

A list of MIME types the server is offering to provide for this captcha method.